Bug 1654745 - Please consider using progressbar2
Summary: Please consider using progressbar2
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: euca2ools
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Garrett Holmstrom
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-29 15:11 UTC by Ankur Sinha (FranciscoD)
Modified: 2021-02-09 16:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1218533 0 unspecified CLOSED use new forked progressbar2? 2021-02-22 00:41:40 UTC
Red Hat Bugzilla 1648728 0 medium CLOSED Review Request: python-progressbar2 - A Progressbar library to provide visual progress to long running operations 2021-02-22 00:41:40 UTC

Internal Links: 1218533 1648728

Description Ankur Sinha (FranciscoD) 2018-11-29 15:11:35 UTC
python-progressbar2 is a much better maintained, more featured fork of progressbar which had gone inactive in the past. Would it please be possible to use this new one instead? That way Fedora can provide a single progressbar package instead of two that conflict (they both provide the progressbar module).

Please see: https://bugzilla.redhat.com/show_bug.cgi?id=1218533 

https://github.com/WoLpH/python-progressbar

Comment 1 Ankur Sinha (FranciscoD) 2018-12-19 19:00:48 UTC
Hi!

Just thought I'd let you know that progressbar2 is now available in rawhide. We're not building for F28/F29 just yet.

Cheers,
Ankur

Comment 2 Ben Cotton 2019-08-13 16:49:27 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 3 Ben Cotton 2020-11-03 16:51:13 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Ben Cotton 2021-02-09 16:10:39 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 34 development cycle.
Changing version to 34.


Note You need to log in before you can comment on or make changes to this bug.